Loading...
Searching...
No Matches
pcl::PCLImage Struct Reference

`#include <pcl/PCLImage.h>`

## Public Types

using | Ptr = shared_ptr< ::pcl::PCLImage >
using | ConstPtr = shared_ptr< const ::pcl::PCLImage >

## Public Attributes

::pcl::PCLHeader | header
uindex_t | height = 0
uindex_t | width = 0
std::string | encoding
std::uint8_t | is_bigendian = 0
uindex_t | step = 0
std::vector< std::uint8_t > | data

## Detailed Description

Definition at line 12 of file PCLImage.h.

## Member Typedef Documentation

## ConstPtr

using pcl::PCLImage::ConstPtr = shared_ptr<const ::pcl::PCLImage>

Definition at line 26 of file PCLImage.h.

## Ptr

using pcl::PCLImage::Ptr = shared_ptr< ::pcl::PCLImage>

Definition at line 25 of file PCLImage.h.

## Member Data Documentation

## data

std::vector<std::uint8_t> pcl::PCLImage::data

Definition at line 23 of file PCLImage.h.

Referenced by pcl::io::PointCloudImageExtractor< PointT >::extract(), pcl::io::PointCloudImageExtractorWithScaling< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromNormalField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromRGBField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromLabelField< PointT >::extractImpl(), pcl::toPCLPointCloud2(), and pcl::toPCLPointCloud2().

## encoding

std::string pcl::PCLImage::encoding

Definition at line 18 of file PCLImage.h.

Referenced by pcl::io::PointCloudImageExtractor< PointT >::extract(), pcl::io::PointCloudImageExtractorWithScaling< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromNormalField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromRGBField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromLabelField< PointT >::extractImpl(), pcl::toPCLPointCloud2(), and pcl::toPCLPointCloud2().

## header

::pcl::PCLHeader pcl::PCLImage::header

Definition at line 14 of file PCLImage.h.

Referenced by pcl::toPCLPointCloud2(), and pcl::toPCLPointCloud2().

## height

uindex_t pcl::PCLImage::height = 0

Definition at line 16 of file PCLImage.h.

Referenced by pcl::io::PointCloudImageExtractorWithScaling< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromNormalField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromRGBField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromLabelField< PointT >::extractImpl(), pcl::toPCLPointCloud2(), and pcl::toPCLPointCloud2().

## is_bigendian

std::uint8_t pcl::PCLImage::is_bigendian = 0

Definition at line 20 of file PCLImage.h.

## step

uindex_t pcl::PCLImage::step = 0

Definition at line 21 of file PCLImage.h.

Referenced by pcl::io::PointCloudImageExtractorWithScaling< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromNormalField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromRGBField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromLabelField< PointT >::extractImpl(), pcl::toPCLPointCloud2(), and pcl::toPCLPointCloud2().

## width

uindex_t pcl::PCLImage::width = 0

Definition at line 17 of file PCLImage.h.

Referenced by pcl::io::PointCloudImageExtractorWithScaling< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromNormalField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromRGBField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromLabelField< PointT >::extractImpl(), pcl::toPCLPointCloud2(), and pcl::toPCLPointCloud2().

The documentation for this struct was generated from the following file:

- pcl/PCLImage.h